Bug 543446 - Please update to new upstream version of commons-fileupload
Please update to new upstream version of commons-fileupload
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jakarta-commons-fileupload (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 07:05 EST by Mary Ellen Foster
Modified: 2010-01-15 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.2.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 17:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-12-02 07:05:06 EST
Description of problem:
The current jakarta-commons-fileupload package is very old -- 1.0 was released in 2003, and the current version is 1.2.1 from January 2008 (see http://commons.apache.org/fileupload/). Please update the package to the newest one -- I've got a package-in-progress that requires some of the new API.

Version-Release number of selected component (if applicable):
jakarta-commons-fileupload-1.0-9.3.fc12.x86_64
Comment 1 Rex Dieter 2009-12-29 12:28:00 EST
Mary, what package depends on this ?  if an open/active review, can mark it as something that this bug Blocks
Comment 2 Mary Ellen Foster 2009-12-30 22:22:53 EST
It's required for sesame -- I don't have a review request for that yet because the other dependencies aren't all done yet. I may provenpackager it myself when I get back online after the holidays.
Comment 3 Aaron Clark 2010-01-02 00:01:42 EST
FWIW, I was considering packaging up Stripes and it also requires 1.2.1 commons-fileupload.
Comment 4 Mary Ellen Foster 2010-01-06 08:49:57 EST
Permaine: is it all right if I update the jakarta-commons-fileupload package to the latest version myself?
Comment 5 Fedora Update System 2010-01-06 19:57:59 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jakarta-commons-fileupload'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0238
Comment 6 Fedora Update System 2010-01-15 17:07:21 EST
jakarta-commons-fileupload-1.2.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.